> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Contractor Information

> Update fields on an existing 1099 contractor's record in Zeal.



## OpenAPI

````yaml openapi/zeal-api.json patch /contractors
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /contractors:
    patch:
      summary: Update Contractor Information
      operationId: update-contractor-information
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - companyID
                - contractor
              properties:
                companyID:
                  type: string
                  description: ID of the company
                contractor:
                  type: object
                  description: Contractor Object
                  required:
                    - contractorID
                  properties:
                    contractorID:
                      type: string
                      description: ID of the contractor
                    first_name:
                      type: string
                      description: First name of the Contractor
                    last_name:
                      type: string
                      description: Last name of the Contractor
                    dob:
                      type: string
                      description: Date of birth of the Contractor
                      format: date
                    business_name:
                      type: string
                      description: >-
                        Business Name of Contractor (only accepted if type ==
                        "business")
                    ssn:
                      type: string
                      description: SSN of the Contractor
                    email:
                      type: string
                      description: Email address of the Contractor
                    address:
                      type: string
                      description: Residential Street Address of Contractor
                    address_line2:
                      type: string
                      description: Residential Street Address Line 2 of Contractor
                    city:
                      type: string
                      description: Residential City of Contractor
                    state:
                      type: string
                      description: Residential State of Contractor
                    zip:
                      type: string
                      description: Residential Zip of Contractor
                    start_date:
                      type: string
                      description: The starting date of the Contractor
            examples:
              Request Example:
                value:
                  contractorID: '123456789'
                  companyID: 1b5n28nrideucd24
                  type: partnership
                  first_name: erlich
                  middle_name: 'null'
                  last_name: bachman
                  email: erlichbachman2@zeal.com
                  ssn: '123456789'
                  ein: 'null'
                  business_name: 'null'
                  address: 320 Pancake Hollow Road
                  city: Highland
                  state: NY
                  zip: '12528'
                  dob: '1998-05-05'
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      contractorID: c9f1e2a47d3b4f8a9c2e1a6b8d4f3e21
                      companyID: a7e3c91f4b2d8f5e9c6a1d0b4e8f2c73
                      onboarded: true
                      type: c_corporation
                      tin_type: null
                      first_name: erlich
                      middle_name: 'null'
                      last_name: bachman
                      email: erlich@zeal.com
                      dob: '1998-05-05'
                      phone_number: '4154645367'
                      ein: 12-3456789
                      business_name: Monster Cookies
                      address: 320 Pancake Hollow Road
                      address_line2: 'null'
                      city: Highland
                      state: NY
                      zip: '12528'
                      employment_status: live
                      external_id: '123'
                      paycard_requested: false
                      paycard_enabled: false
                      kyc_status: approved
                      ssn_verification_status: approved
                      instant_pay_enabled: true
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: No contractorID in the body/query of the request
                        code: 35
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: No contractorID in the body/query of the request
                        code:
                          type: integer
                          example: 35
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````